image: registry.gitlab.com/gitlab-org/security-products/tests/api-fuzzing-e2e/e2e-image

include:
    - template: API-Fuzzing.gitlab-ci.yml

stages:
    - fuzz
    - verify
            
variables:
    FUZZAPI_POSTMAN_COLLECTION: postman_collection.v2.1.json
    FUZZAPI_TARGET_URL: http://target:7777
    FUZZAPI_OVERRIDES_ENV: '{"headers":{"Authorization":"Token b5638ae7-6e77-4585-b035-7d9de2e3f6b3"}}'
    FUZZAPI_D_TARGET_IMAGE: registry.gitlab.com/gitlab-org/security-products/tests/api-fuzzing-e2e/image-target-flask
    FUZZAPI_D_TARGET_ENV: -e SYSLOG_TARGET=apifuzzer -e TZ=America/Los_Angeles
    FUZZAPI_D_TARGET_PORTS: -p 7777:7777 -p 7778:7778
    REPORT: gl-api-fuzzing-report.json
    #
    # Use staging container
    #FUZZAPI_IMAGE: registry.gitlab.com/gitlab-org/security-products/analyzers/api-fuzzing-src:${FUZZAPI_VERSION}-engine

apifuzzer_fuzz_dnd:
    allow_failure: false

verify:
    stage: verify
    script:
        - jq '.vulnerabilities | length' "$REPORT"
        - if [[ $(jq '.vulnerabilities | length' "$REPORT") -ne 4 ]]; then exit 1; fi
        - /scripts/validate_report_assets.sh "$REPORT"
        - exit 0

# end
